%     VIRTUAL UD - программа для получения эффективных свойств однонаправленного жгута
%     Copyright (C) 2020  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Write_Result_File_Therm(Current_Folder, File_Name, Density, Cp, Lambda)

global ErrCode;

number_format = '%.12f';
number_format_2 = '%.12e';

File_path = [Current_Folder '\' File_Name];

Fout = fopen(File_path, 'wt');

if (Fout < 0)
    fprintf (1, '\nОшибка функции Write_Result_File_Therm: не удалось открыть для записи файл [%s] !\n', File_path);
    ErrCode = -1;
    return;
end

fprintf(Fout, 'VIRTUAL UD RESULTS FILE\n');

fprintf(Fout, '\n');

fprintf(Fout, ['rho\t' number_format_2 '\n'], Density);

fprintf(Fout, '\n');

fprintf(Fout, ['Cp\t' number_format '\n'], Cp);

fprintf(Fout, '\n');

fprintf(Fout, ['lambda_11\t' number_format_2 '\n'], Lambda(1,1));
fprintf(Fout, ['lambda_22\t' number_format_2 '\n'], Lambda(2,2));
fprintf(Fout, ['lambda_33\t' number_format_2 '\n'], Lambda(3,3));

fclose(Fout);
